Page MenuHomeFreeBSD

audio/ncmpc: Update to 0.41
ClosedPublic

Authored by rhurlin on Oct 18 2020, 5:26 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Feb 20, 4:38 AM
Unknown Object (File)
Tue, Feb 20, 4:38 AM
Unknown Object (File)
Tue, Feb 20, 4:38 AM
Unknown Object (File)
Tue, Feb 20, 12:00 AM
Unknown Object (File)
Sun, Feb 11, 4:30 AM
Unknown Object (File)
Jan 16 2024, 6:18 PM
Unknown Object (File)
Dec 22 2023, 11:48 PM
Unknown Object (File)
Nov 19 2023, 3:41 PM
Subscribers

Details

Summary

Maintainer added some patches because of missing headers in the released version.

Changelog[1]:

ncmpc 0.41 - (2020-10-16)

  • new main loop (copying code from MPD, replacing boost::asio)
  • library page: fix crash bug
  • lyrics: remove the "lyricwiki" plugin because the site is gone

ncmpc 0.40 - (2020-10-07)

  • fix crash when range selection includes ".."
  • fix another crash with a very narrow terminal window
  • another jumping cursor fix for large scroll-offset values
  • show elapsed time of streams

ncmpc 0.39 - (2020-08-21)

  • library page: skip tags when there is only one value
  • fix jumping cursor with large scroll-offset values
  • key bindigs page: fix crash bug
  • key bindigs page: eliminate bogus message "Did you forget to Apply your changes?"

[1] https://github.com/MusicPlayerDaemon/ncmpc/blob/89af16cad451e51c304e705fbcb2488f5f7e2c10/NEWS

Submitted by Laurent Cimon <laurent@nilio.ca> (maintainer) in PR 250421

Tested on Poudriere (amd64, i386). 'portlint' is happy except for one warning:

'WARN: Makefile: COLORS is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MCOLORS appears.'

I think, this is because of using meson for the build process?

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

lgtm

yeah, that portlint warning looks ignorable

This revision is now accepted and ready to land.Oct 19 2020, 4:15 AM
This revision was automatically updated to reflect the committed changes.